<!-- FlexExtractor config file to generate the anomalies file for PVSS -->
<flexextractor version = "1.0" description = "Config file to generate the alerts file for PVSS" >	

	<input type = "XML_XPATH">
		<source name = "DigitalAlarm" range = "11:" parameter = "/Workbook/Worksheet[@ss:Name='DigitalAlarm']/Table/Row" >
			<data name = "alias" select = "./Cell[1]/Data/text()" />
			<data name = "master" select = "./Cell[25]/Data/text()" />
		</source>
		
		<source name = "AnalogAlarm" range = "11:" parameter = "/Workbook/Worksheet[@ss:Name='AnalogAlarm']/Table/Row" >
			<data name = "alias" select = "./Cell[1]/Data/text()" />
			<data name = "master" select = "./Cell[31]/Data/text()" />
		</source>
	</input>	

	<output >

		<section ordergenerate = "ascend" head = "   &lt;group name=&quot;{master}&quot;&gt;" tail = "   &lt;/group&gt;">
			<section condition = "%sourcename% == 'AnalogAlarm'" generate = "      &lt;AA name=&quot;{alias}&quot; /&gt;" />
			<section condition = "%sourcename% == 'DigitalAlarm'" generate = "      &lt;DA name=&quot;{alias}&quot; /&gt;" />
			<!--<section condition = "%sourcename% == 'Alarm Objects'" generate = "      &lt;AL name=&quot;{Equipment}_{Location}_{Name}&quot; /&gt;" />-->
			<!--section condition = "%sourcename% == 'Process Control Objects'" generate = "      &lt;PCO name=&quot;{Equipment}_{Location}_{Name}&quot; /&gt;" /-->		      		      
		</section>		

	</output>


</flexextractor>